import { CdmArgumentDefinition, CdmCollection, CdmCorpusContext, CdmTraitReference } from '../internal';
export declare class CdmArgumentCollection extends CdmCollection<CdmArgumentDefinition> {
    protected get owner(): CdmTraitReference;
    protected set owner(value: CdmTraitReference);
    constructor(ctx: CdmCorpusContext, owner: CdmTraitReference);
    push(arg: string | CdmArgumentDefinition | undefined, value?: any): CdmArgumentDefinition;
    insert(index: number, arg: CdmArgumentDefinition): void;
    fetchValue(name: string): any;
    updateArgument(name: string, value: any): void;
}
